VERSION 5.00
Begin VB.Form frmProperty 
   Caption         =   "Select the Property"
   ClientHeight    =   3390
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4950
   Icon            =   "frmProperty.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3390
   ScaleWidth      =   4950
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdEntire 
      Caption         =   "Run on Entire Structure"
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   2760
      Width           =   2175
   End
   Begin VB.OptionButton optTitle_Part 
      Caption         =   "Title + Part #"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   840
      Width           =   1215
   End
   Begin VB.CommandButton cmdSelected 
      Caption         =   "Run from Selected Item"
      Height          =   495
      Left            =   2640
      TabIndex        =   5
      Top             =   2760
      Width           =   2175
   End
   Begin VB.OptionButton optFileName 
      Caption         =   "File Name"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1320
      Width           =   1215
   End
   Begin VB.OptionButton optRefPart 
      Caption         =   "Reference #"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1800
      Width           =   1215
   End
   Begin VB.OptionButton optMaterial_Part 
      Caption         =   "Material + Part #"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   2280
      Width           =   1500
   End
   Begin VB.Label lblSelect 
      Caption         =   "Select the property to show up in the Assembly Pathfinder:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3495
   End
   Begin VB.Image imgFileName 
      Height          =   1710
      Left            =   1680
      Picture         =   "frmProperty.frx":0442
      Top             =   840
      Visible         =   0   'False
      Width           =   1800
   End
   Begin VB.Image imgMaterial 
      Height          =   1680
      Left            =   1680
      Picture         =   "frmProperty.frx":221E
      Top             =   840
      Visible         =   0   'False
      Width           =   3255
   End
   Begin VB.Image imgTitle 
      Height          =   1740
      Left            =   1680
      Picture         =   "frmProperty.frx":52FC
      Top             =   840
      Visible         =   0   'False
      Width           =   2865
   End
   Begin VB.Image imgRefNum 
      Height          =   1650
      Left            =   1680
      Picture         =   "frmProperty.frx":79FD
      Top             =   840
      Visible         =   0   'False
      Width           =   1575
   End
End
Attribute VB_Name = "frmProperty"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Run()
    If optFileName = True Then
        showProperty = "File Name"
    ElseIf optRefPart = True Then
        showProperty = "Reference Part Number"
    ElseIf optMaterial_Part = True Then
        showProperty = "Material & Part Number"
    ElseIf optTitle_Part = True Then
        showProperty = "Title & Part Number"
    End If
    
    Call Main
End Sub


Private Sub cmdEntire_Click()
    occIndex = 1
    
    Call Run
End Sub

Private Sub cmdSelected_Click()
    Dim objApp As SolidEdgeFramework.Application
    Dim objSelectSet As Object
    Dim objPart As Object
   
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        MsgBox "Solid Edge must be open."
        End
    End If
    On Error GoTo 0
    
    Set objSelectSet = objApp.ActiveDocument.SelectSet
    
    If objSelectSet.Count > 1 Then
        MsgBox "You must select only 1 part."
    End If
    
    For Each objPart In objSelectSet
        On Error Resume Next
        occIndex = objPart.Index
        If Err Then
            Err.Clear
            MsgBox "The selection to start changing from can not be in a subassembly."
            End
        End If
        On Error GoTo 0
    Next
    
    Call Run
End Sub

Private Sub optMaterial_Part_GotFocus()
    imgMaterial.Visible = True
End Sub

Private Sub optMaterial_Part_LostFocus()
    imgMaterial.Visible = False
End Sub

Private Sub optRefPart_GotFocus()
    imgRefNum.Visible = True
End Sub

Private Sub optRefPart_LostFocus()
    imgRefNum.Visible = False
End Sub

Private Sub optTitle_Part_GotFocus()
    imgTitle.Visible = True
End Sub

Private Sub optTitle_Part_LostFocus()
    imgTitle.Visible = False
End Sub

Private Sub optFileName_GotFocus()
    imgFileName.Visible = True
End Sub

Private Sub optFileName_LostFocus()
    imgFileName.Visible = False
End Sub





